#ifndef HEAVY_BLASTER_H
#define HEAVY_BLASTER_H


#include "weapon.h"

/**
 *	@author Marc Schaerer <marcscha@ee.ethz.ch>
 *  
 *  Light Blaster class
 */
class HeavyBlaster : public Weapon
{
  //ObjectListDeclaration(HeavyBlaster);
  public:
    HeavyBlaster();
    HeavyBlaster (const TiXmlElement* root);
    virtual ~HeavyBlaster();

    void init();
    virtual void loadParams(const TiXmlElement* root);

    virtual void activate();
    virtual void deactivate();

    virtual void fire();

    virtual void draw() const;

};

#endif
